Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.labels
Class IntervalCategoryToolTipGenerator

    java.lang.Object
      org.jfree.chart.labels.AbstractCategoryItemLabelGenerator
          org.jfree.chart.labels.StandardCategoryToolTipGenerator
              org.jfree.chart.labels.IntervalCategoryToolTipGenerator

All Implemented Interfaces:
  CategoryToolTipGenerator, java.lang.Cloneable, org.jfree.util.PublicCloneable, java.io.Serializable

public class IntervalCategoryToolTipGenerator
extends StandardCategoryToolTipGenerator
implements CategoryToolTipGenerator, org.jfree.util.PublicCloneable, java.lang.Cloneable, java.io.Serializable

A tooltip generator for plots that use data from an `IntervalCategoryDataset`.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `DEFAULT_TOOL_TIP_FORMAT_STRING` The default format string.

Constructor Summary
`IntervalCategoryToolTipGenerator()` Creates a new generator with a default number formatter.
`IntervalCategoryToolTipGenerator(java.lang.String labelFormat, java.text.DateFormat formatter)` Creates a new generator with the specified date formatter.
`IntervalCategoryToolTipGenerator(java.lang.String labelFormat, java.text.NumberFormat formatter)` Creates a new generator with the specified number formatter.

Method Summary
`protected java.lang.Object[]` | `createItemArray(CategoryDataset dataset, int row, int column)` Creates the array of items that can be passed to the `MessageFormat` class for creating labels.

Methods inherited from class org.jfree.chart.labels.StandardCategoryToolTipGenerator
`generateToolTip`

Methods inherited from class org.jfree.chart.labels.AbstractCategoryItemLabelGenerator
`clone, equals, generateLabelString, getDateFormat, getLabelFormat, getNumberFormat`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jfree.chart.labels.CategoryToolTipGenerator
`generateToolTip`

Methods inherited from interface org.jfree.util.PublicCloneable
`clone`

Field Detail

### DEFAULT_TOOL_TIP_FORMAT_STRING

    public static final java.lang.String DEFAULT_TOOL_TIP_FORMAT_STRING

  The default format string.

  See Also:
    Constant Field Values

Constructor Detail

### IntervalCategoryToolTipGenerator

    public IntervalCategoryToolTipGenerator()

  Creates a new generator with a default number formatter.

### IntervalCategoryToolTipGenerator

    public IntervalCategoryToolTipGenerator(java.lang.String labelFormat,
                                            java.text.NumberFormat formatter)

  Creates a new generator with the specified number formatter.

Parameters:
  `labelFormat` - the label format string (`null` not permitted).
  `formatter` - the number formatter (`null` not permitted).

### IntervalCategoryToolTipGenerator

    public IntervalCategoryToolTipGenerator(java.lang.String labelFormat,
                                            java.text.DateFormat formatter)

  Creates a new generator with the specified date formatter.

Parameters:
  `labelFormat` - the label format string (`null` not permitted).
  `formatter` - the date formatter (`null` not permitted).

Method Detail

### createItemArray

    protected java.lang.Object[] createItemArray(CategoryDataset dataset,
                                                 int row,
                                                 int column)

  Creates the array of items that can be passed to the `MessageFormat` class for creating labels.

  Overrides:
    `createItemArray` in class `AbstractCategoryItemLabelGenerator`
  Parameters:
    `dataset` - the dataset (`null` not permitted).
    `row` - the row index (zero-based).
    `column` - the column index (zero-based).
  Returns:
    The items (never `null`).

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD